concurrent_queue.cpp File Reference
`#include "tbb/tbb_stddef.h"`
`#include "tbb/tbb_machine.h"`
`#include "tbb/tbb_exception.h"`
`#include "tbb/internal/_concurrent_queue_impl.h"`
`#include "concurrent_monitor.h"`
`#include "itt_notify.h"`
`#include <new>`
`#include <cstring>`
Include dependency graph for concurrent_queue.cpp:

Go to the source code of this file.

## Classes

struct | tbb::internal::micro_queue
| A queue using simple locking. More...
class | tbb::internal::micro_queue_pop_finalizer
struct | tbb::internal::predicate_leq
class | tbb::internal::concurrent_queue_rep
| Internal representation of a ConcurrentQueue. More...
class | tbb::internal::concurrent_queue_iterator_rep

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | __TBB_concurrent_queue_H
#define | RECORD_EVENTS 0

## Typedefs

typedef concurrent_queue_base_v3 | tbb::internal::concurrent_queue_base
typedef size_t | tbb::internal::ticket

## Variables

static void * | tbb::internal::static_invalid_page

## Macro Definition Documentation

## __TBB_concurrent_queue_H

#define __TBB_concurrent_queue_H

Definition at line 21 of file concurrent_queue.cpp.

## RECORD_EVENTS

#define RECORD_EVENTS 0

Definition at line 33 of file concurrent_queue.cpp.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.